Aller au contenu
Twexapi
Français
Esc
naviguerouvrir⌘Japerçu

Obtenir les utilisateurs ayant liké

Obtenir les utilisateurs ayant liké.

Retour à la référence API
/Tweet Engagement Endpoints
POST/twitter/tweets-favoriters
Autorisation API
AuthorizationBearer token · headerrequis
Jeton Bearer global pour TwexAPI. Inclus sous la forme : Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Corps de la requête
requisapplication/json
tweet_idstringrequis
ID unique du tweet
target_countintegerrequis
The number of favoriters to get.
cookiestringrequis
Identifiants de session ou auth_token autorisés de l'utilisateur (BYOC — Bring Your Own Cookie). Exécution proxy sans état avec zéro rétention d'identifiants. Consultez [Sécurité et Authentification](/fr/authentication#write-operations--byoc-bring-your-own-cookie) et [Comment obtenir un Cookie](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie).
Réponses
200A list of user objects.
codeintegerrequis
Code d'état HTTP (200 indique le succès)
msgstringrequis
Message de réponse (ex. 'success')
dataUserModel[]requis
Données principales renvoyées par l'API
Afficher les propriétés
Array of UserModel
idstringrequis
User ID
namestringrequis
Nom de l'utilisateur
screen_namestringrequis
Nom d'utilisateur Twitter (sans @)
created_atstring | any
Date et heure de création (UTC)
Afficher les propriétés
Any of:
string
string
any
any
created_at_datetimestring | any
Account creation datetime in ISO format
Afficher les propriétés
Any of:
string
string
any
any
can_dmboolean | any
Whether the user can be direct messaged
default: false
Afficher les propriétés
Any of:
boolean
boolean
any
any
can_media_tagboolean | any
Whether the user can be tagged in media
default: false
Afficher les propriétés
Any of:
boolean
boolean
any
any
default_profileboolean | any
Whether the user has a default profile
default: false
Afficher les propriétés
Any of:
boolean
boolean
any
any
default_profile_imageboolean | any
Whether the user has a default profile image
default: false
Afficher les propriétés
Any of:
boolean
boolean
any
any
descriptionstring | any
Biographie du profil
default: ""
Afficher les propriétés
Any of:
string
string
any
any
description_urlsstring[]
List of URLs found in the user's description
default: []
urlsurlModel[] | any
List of URLs found in the user's profile
Afficher les propriétés
Any of:
urlModel[]
Array of urlModel
urlstringrequis
URL
expanded_urlstring | any
Expanded URL
Afficher les propriétés
Any of:
string
string
any
any
display_urlstring | any
Display URL
Afficher les propriétés
Any of:
string
string
any
any
any
any
fast_followers_countinteger | any
Count of fast followers
default: 0
Afficher les propriétés
Any of:
integer
integer
any
any
favourites_countinteger | any
Number of tweets the user has liked
default: 0
Afficher les propriétés
Any of:
integer
integer
any
any
followers_countinteger | any
Nombre total d'abonnés
default: 0
Afficher les propriétés
Any of:
integer
integer
any
any
following_countinteger | any
Nombre total d'abonnements
default: 0
Afficher les propriétés
Any of:
integer
integer
any
any
has_custom_timelinesboolean | any
Whether the user has custom timelines
default: false
Afficher les propriétés
Any of:
boolean
boolean
any
any
is_blue_verifiedboolean | any
Blue verification status
default: false
Afficher les propriétés
Any of:
boolean
boolean
any
any
verified_typestring | any
Verification badge type when not blue-only: blue, business, government, etc.
Afficher les propriétés
Any of:
string
string
any
any
is_verifiedboolean | any
True if the account has any verification badge (blue, business, government, or legacy verified)
default: false
Afficher les propriétés
Any of:
boolean
boolean
any
any
profile_image_shapestring | any
Profile image shape (Circle or Square; Square often indicates business/government)
Afficher les propriétés
Any of:
string
string
any
any
is_translatorboolean | any
Whether the user is a translator
default: false
Afficher les propriétés
Any of:
boolean
boolean
any
any
listed_countinteger | any
Number of public lists the user is a member of
default: 0
Afficher les propriétés
Any of:
integer
integer
any
any
locationstring | any
User's location
default: ""
Afficher les propriétés
Any of:
string
string
any
any
media_countinteger | any
Number of media tweets posted by the user
default: 0
Afficher les propriétés
Any of:
integer
integer
any
any
normal_followers_countinteger | any
Count of normal followers
default: 0
Afficher les propriétés
Any of:
integer
integer
any
any
pinned_tweet_idsstring[]
List of pinned tweet IDs
default: []
possibly_sensitiveboolean | any
Whether the user's profile may contain sensitive content
default: false
Afficher les propriétés
Any of:
boolean
boolean
any
any
profile_banner_urlstring | any
URL of the user's profile banner
Afficher les propriétés
Any of:
string
string
any
any
profile_image_urlstring | any
URL of the user's profile image
Afficher les propriétés
Any of:
string
string
any
any
protectedboolean | any
Whether the user's tweets are protected
default: false
Afficher les propriétés
Any of:
boolean
boolean
any
any
statuses_countinteger | any
Number of tweets posted by the user
default: 0
Afficher les propriétés
Any of:
integer
integer
any
any
422Erreur de validation des paramètres
detailValidationError[]
Afficher les propriétés
Array of ValidationError
locstring | integer[]requis
Afficher les propriétés
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequis
Message de réponse (ex. 'success')
typestringrequis
inputany
ctxobject
Console interactivePOST
Console interactive / Tester l'APIPOST
Live Console
🌐Serveur cible :https://api.twexapi.io
● Prêt pour la production
✍️
Guide d'identification d'écriture (Clé TwexAPI + Cookie Twitter)

1. Clé TwexAPI (Bearer Token) : À renseigner sous "Autorisation API" ci-dessous pour la facturation et l'authentification.

2. Cookie Twitter : Pour les opérations d'écriture (tweet, like, etc.), renseignez le Cookie Twitter (ex : auth_token=...; ct0=...) dans le champ cookie ci-dessous.

🔑Autorisation API
📝Corps de la requêteapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

Requête
curl -X POST "https://api.twexapi.io/twitter/tweets-favoriters" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "tweet_id": "string",
  "target_count": 0,
  "cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
}'
Réponse
{
  "code": 0,
  "msg": "string",
  "data": [
    {
      "id": "1717001045992251392",
      "name": "Cryptoklepto",
      "screen_name": "CK_Cryptoklepto",
      "created_at": "Mon Oct 28 02:32:47 +0000 2024",
      "created_at_datetime": "2024-10-28T02:32:47.000Z",
      "can_dm": false,
      "can_media_tag": false,
      "default_profile": false,
      "default_profile_image": false,
      "description": "",
      "description_urls": [],
      "urls": [
        {
          "url": "https://www.google.com",
          "expanded_url": "https://www.google.com",
          "display_url": "www.google.com"
        }
      ],
      "fast_followers_count": 0,
      "favourites_count": 0,
      "followers_count": 0,
      "following_count": 0,
      "has_custom_timelines": false,
      "is_blue_verified": false,
      "verified_type": "government",
      "is_verified": false,
      "profile_image_shape": "Circle",
      "is_translator": false,
      "listed_count": 0,
      "location": "New York, USA",
      "media_count": 0,
      "normal_followers_count": 0,
      "pinned_tweet_ids": [],
      "possibly_sensitive": false,
      "profile_banner_url": "string",
      "profile_image_url": "string",
      "protected": false,
      "statuses_count": 0
    }
  ]
}